Bug 19710 - Move plugins templates javascript to the footer
Summary: Move plugins templates javascript to the footer
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 19647
Blocks: 17858
  Show dependency treegraph
 
Reported: 2017-11-28 18:35 UTC by Owen Leonard
Modified: 2017-12-14 18:00 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19710: Move plugins templates javascript to the footer (3.17 KB, patch)
2017-11-28 19:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19710: Move plugins templates javascript to the footer (3.22 KB, patch)
2017-11-29 13:45 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19710: Move plugins templates javascript to the footer (3.28 KB, patch)
2017-12-06 16:07 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-28 18:35:02 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header.

This patch will do so for plugins templates.
Comment 1 Owen Leonard 2017-11-28 19:17:09 UTC
Created attachment 69419 [details] [review]
Bug 19710: Move plugins templates javascript to the footer

This patch modifies the staff client plugins template so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of
the modified template:

- The plugins link should be bold in the sidebar menu.
- Choosing "Uninstall" for an installed plugin should trigger a
  confirmation alert.
Comment 2 Claire Gravely 2017-11-29 13:45:51 UTC
Created attachment 69421 [details] [review]
Bug 19710: Move plugins templates javascript to the footer

This patch modifies the staff client plugins template so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of
the modified template:

- The plugins link should be bold in the sidebar menu.
- Choosing "Uninstall" for an installed plugin should trigger a
  confirmation alert.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Josef Moravec 2017-12-06 16:07:43 UTC
Created attachment 69561 [details] [review]
Bug 19710: Move plugins templates javascript to the footer

This patch modifies the staff client plugins template so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of
the modified template:

- The plugins link should be bold in the sidebar menu.
- Choosing "Uninstall" for an installed plugin should trigger a
  confirmation alert.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2017-12-11 14:37:40 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2017-12-14 18:00:14 UTC
Awesome work all! Skipping for 17.11, enhancement.